/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package test.car.service;

import com.jeeplus.core.persistence.Page;
import com.jeeplus.core.service.CrudService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import test.car.entity.Car;
import test.car.mapper.CarMapper;

import java.util.List;

/**
 * 薪酬调整申请Service
 * @author liugf
 * @version 2020-02-09
 */
@Service
@Transactional(readOnly = true)
public class CarService extends CrudService<CarMapper, Car> {


	public Car get(String id) {
		Car car = super.get(id);
		return car;
	}

	public List<Car> findList(Car car) {
		return super.findList(car);
	}

	public Page<Car> findPage(Page<Car> page, Car car) {
		return super.findPage(page, car);
	}

	@Transactional(readOnly = false)
	public void save(Car car) {
		super.save(car);
	}

	@Transactional(readOnly = false)
	public void delete(Car car) {
		super.delete(car);
	}

}